---
search:
  tags:
    - console-backup
    - GET
seo:
  description: >-
    Get the recovery key of the console backups. Reference for the GET
    /api/v1/console-backup/keys endpoint in the TimescaleDB Enterprise API.
sidebar:
  label: Get the recovery key
  badge: GET
title: Get the recovery key
type: openapi-operation
---
Get the recovery key of the console backups.

`GET /api/v1/console-backup/keys`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "backups_enabled": true,
  "current": {
    "confirmed_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "fingerprint": "string",
    "recipient": "string"
  },
  "disabled_reason": "string",
  "earlier": [
    {
      "created_at": "2019-08-24T14:15:22Z",
      "fingerprint": "string",
      "retired_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pending": {
    "confirmed_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "fingerprint": "string",
    "recipient": "string"
  }
}
```
